﻿local _, englishClass = UnitClass("player")
if (englishClass ~="HUNTER") then
	return
end
function ClassTimer:CreateTimers()
--Stings
	self:AddRule("Stings","Serpent Sting")
	self:AddRule("Stings","Viper Sting")
	self:AddRule("Stings","Wyvern Sting")
	self:AddRule("Stings","Entrapment")

--Traps
	self:AddRule("Traps","Immolation Trap") 
	self:AddRule("Traps","Freezing Trap") 
	self:AddRule("Traps","Frost Trap") 
	self:AddRule("Traps","Explosive Trap") 

--Stuns 
	self:AddRule("Stuns","Concussive Shot") 
	self:AddRule("Stuns","Improved Concussive Shot")
	self:AddRule("Stuns","Wing Clip") 
	self:AddRule("Stuns","Improved Wing Clip") 
	self:AddRule("Stuns","Counterattack") 
	self:AddRule("Stuns","Intimidation") 
	self:AddRule("Stuns","Scatter Shot") 
	self:AddRule("Stuns","Concussive Barrage") 

--Misc 
	self:AddRule("Misc","Scare Beast")  
	self:AddRule("Misc","Flare")  
	self:AddRule("Misc","Hunter's Mark")  
	self:AddRule("Misc","Silencing Shot") 
	self:AddRule("Misc","Deterrence") 
	self:AddRule("Misc","Expose Weakness") 
	self:AddRule("Misc","Master Tactician") 

--Talents 
	self:AddRule("Talents","Frenzy") 
	self:AddRule("Talents","Ferocious Inspiration") 
	self:AddRule("Talents","Bestial Wrath") 
	self:AddRule("Talents","The Beast Within") 
	self:AddRule("Talents","Rapid Killing") 
end

tinsert(ClassTimer.timers, ClassTimer.Hunter)

function ClassTimer:OnUpdate()
	self:SetupBuffs("player")
	self:SetupDebuffs("focus")
	self:SetupDebuffs("target")
end 

ClassTimer.target = {debuffs = {}}
ClassTimer.focus = {debuffs = {}}
ClassTimer.player = {buffs = {}}