﻿local _, englishClass = UnitClass("player")
if (englishClass ~="PRIEST") then
	return
end
function ClassTimer:CreateTimers()
--DOTs 
	self:AddRule("DOTs","Shadow Word: Pain") 
	self:AddRule("DOTs","Improved Shadow Word: Pain")
	self:AddRule("DOTs","Hex of Weakness") 
	self:AddRule("DOTs","Touch of Weakness") 
	self:AddRule("DOTs","Devouring Plague")
	self:AddRule("DOTs","Vampiric Embrace")
	self:AddRule("DOTs","Silence")
	self:AddRule("DOTs","Vampiric Touch")

--Buffs 
	self:AddRule("Buffs","Renew") 
	self:AddRule("Buffs","Elune's Grace")
	self:AddRule("Buffs","Feedback")
	self:AddRule("Buffs","Martyrdom")
	self:AddRule("Buffs","Power Infusion")
	self:AddRule("Buffs","Pain Suppression")
	self:AddRule("Buffs","Blessed Recovery") 
	self:AddRule("Buffs","Inspiration")
	self:AddRule("Buffs","Surge of Light")
	self:AddRule("Buffs","Spirit Tap")

--Stuns 
	self:AddRule("Stuns","Blackout")

--Misc 
	self:AddRule("Misc","Power Word: Shield")
	self:AddRule("Misc","Weakened Soul")
	self:AddRule("Misc","Fade") 
	self:AddRule("Misc","Psychic Scream") 
	self:AddRule("Misc","Mind Soothe") 
	self:AddRule("Misc","Shackle Undead") 
	self:AddRule("Misc","Abolish Disease") 
	self:AddRule("Misc","Levitate") 
	self:AddRule("Misc","Spirit of Redemption")
	self:AddRule("Misc","Shadow Weaving")
end

tinsert(ClassTimer.timers, ClassTimer.Priest)

function ClassTimer:OnUpdate()
	self:SetupBuffs("player")
	self:SetupBuffs("target")
	for i = 1, 4 do 
		self:SetupBuffs("party"..i)
	end
	for i = 1, 40 do
		self:SetupBuffs("raid"..i)
	end
	
	self:SetupDebuffs("focus")
	self:SetupDebuffs("target")
end 

ClassTimer.target = {debuffs = {}, buffs = {}}
ClassTimer.focus = {debuffs = {}}
ClassTimer.player = {buffs = {}}
for i = 1, 4 do 
	ClassTimer["party"..i] = {buffs = {}}
end
for i = 1, 40 do
	ClassTimer["raid"..i] = {buffs = {}}
end 
